// Copyright 2019 The Chromium Authors. All rights reserved.
// Use of this source code is governed by a BSD-style license that can be
// found in the LICENSE file.

#include "third_party/blink/public/resources/grit/blink_resources.h"
#include "third_party/blink/renderer/core/script/layered_api_module.h"

#ifndef THIRD_PARTY_BLINK_RENDERER_CORE_SCRIPT_LAYERED_API_RESOURCES_H_
#define THIRD_PARTY_BLINK_RENDERER_CORE_SCRIPT_LAYERED_API_RESOURCES_H_

// This file is generated by
// core/script/generate_lapi_grdp.py and shouldn't modified manually.
// A corresponding grdp file (layered_api_resources.grdp) is also generated.

// This file should be included only once from core/script/layered_api.cc.

namespace blink {

namespace layered_api {

namespace {

struct LayeredAPIResource {
  const char* path;
  int resource_id;
  Module module;
};

const LayeredAPIResource kLayeredAPIResources[] = {
    {"blank/index.js", IDR_LAYERED_API_BLANK_INDEX_JS, Module::kBlank},

    {"kv-storage/async_iterator.js",
     IDR_LAYERED_API_KV_STORAGE_ASYNC_ITERATOR_JS, Module::kKvStorage},
    {"kv-storage/idb_utils.js", IDR_LAYERED_API_KV_STORAGE_IDB_UTILS_JS,
     Module::kKvStorage},
    {"kv-storage/index.js", IDR_LAYERED_API_KV_STORAGE_INDEX_JS,
     Module::kKvStorage},

    {"virtual-scroller/index.js", IDR_LAYERED_API_VIRTUAL_SCROLLER_INDEX_JS,
     Module::kVirtualScroller},
    {"virtual-scroller/item-source.js",
     IDR_LAYERED_API_VIRTUAL_SCROLLER_ITEM_SOURCE_JS, Module::kVirtualScroller},
    {"virtual-scroller/virtual-repeater.js",
     IDR_LAYERED_API_VIRTUAL_SCROLLER_VIRTUAL_REPEATER_JS,
     Module::kVirtualScroller},
    {"virtual-scroller/virtual-scroller.js",
     IDR_LAYERED_API_VIRTUAL_SCROLLER_VIRTUAL_SCROLLER_JS,
     Module::kVirtualScroller},

    {"virtual-scroller/layouts/layout-1d-base.js",
     IDR_LAYERED_API_VIRTUAL_SCROLLER_LAYOUTS_LAYOUT_1D_BASE_JS,
     Module::kVirtualScroller},
    {"virtual-scroller/layouts/layout-1d-grid.js",
     IDR_LAYERED_API_VIRTUAL_SCROLLER_LAYOUTS_LAYOUT_1D_GRID_JS,
     Module::kVirtualScroller},
    {"virtual-scroller/layouts/layout-1d.js",
     IDR_LAYERED_API_VIRTUAL_SCROLLER_LAYOUTS_LAYOUT_1D_JS,
     Module::kVirtualScroller},

};

}  // namespace

}  // namespace layered_api

}  // namespace blink

#endif  // THIRD_PARTY_BLINK_RENDERER_CORE_SCRIPT_LAYERED_API_RESOURCES_H_
